Bug 201886 - [patch] lang/ghc: reorder some blocks, USES=metaport (bsd.cabal.mk)
Summary: [patch] lang/ghc: reorder some blocks, USES=metaport (bsd.cabal.mk)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-26 07:51 UTC by Andriy Voskoboinyk
Modified: 2015-08-10 15:34 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (haskell)


Attachments
Patch.diff (4.79 KB, patch)
2015-07-26 07:51 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (1.20 KB, text/plain)
2015-07-26 07:52 UTC, Andriy Voskoboinyk
no flags Details
hs-gtk2hs-9.3-i386-build.log (28.18 KB, text/plain)
2015-07-26 07:53 UTC, Andriy Voskoboinyk
no flags Details
hs-haskell-platform-9.3-i386-build.log (43.21 KB, text/plain)
2015-07-26 07:53 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-26 07:51:37 UTC
Created attachment 159234 [details]
Patch.diff

- Address some portlint warnings:
-- Move LICENSE* block.
-- Sort USES.
-- Regenerate patches.
- Replace some METAPORT-specific code with USES=metaport.

As a result, devel/hs-haskell-platform and x11-toolkits/hs-gtk2hs now are marked as ARCH independent (NO_ARCH=yes).
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-26 07:52:31 UTC
Created attachment 159235 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-26 07:53:09 UTC
Created attachment 159236 [details]
hs-gtk2hs-9.3-i386-build.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-07-26 07:53:46 UTC
Created attachment 159237 [details]
hs-haskell-platform-9.3-i386-build.log
Comment 4 Gabor Pali freebsd_committer 2015-07-31 11:44:07 UTC
Hi Andriy, thanks for your work!  I am fine with most of the proposed changes, although I do not see a reason for regenerating the patches.  As far as I am aware, they do still apply, so they work as they should.  I have been working on an update to 7.10.2, so they will probably be updated anyway.

Anyhow, I have pushed the corresponding commit to our development staging repository [1], and I am planning to commit this to the ports tree soon.  Please, raise your concerns if there are any.

[1] https://github.com/freebsd-haskell/ports/commit/00cc8b123ac3024670916ae0093a87d5c76441bd
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-08-02 17:19:36 UTC
(In reply to Gabor Pali from comment #4)
> I am fine with most of the proposed changes, 
> although I do not see a reason for regenerating the patches.
> As far as I am aware, they do still apply, so they work as they should. 
> I have been working on an update to 7.10.2, so they will probably be updated anyway.

Yes, the patch regeneration is not necessary here (at least, bug 201647 states this).

> Anyhow, I have pushed the corresponding commit to our development staging 
> repository [1], and I am planning to commit this to the ports tree soon.  
> Please, raise your concerns if there are any.

Mostly OK (but you should insert PKGNAMESUFFIX between MASTER_SITES and DISTFILES - portlint(1) will complain about this).
Comment 6 Gabor Pali freebsd_committer 2015-08-10 15:14:40 UTC
Thanks for pointing this out, though the PKGNAMESUFFIX appears only in the lang/ghc-devel port that is not present in the ports tree.  Just in case, I have also fixed this in the development overlay.
Comment 7 commit-hook freebsd_committer 2015-08-10 15:32:40 UTC
A commit references this bug:

Author: pgj
Date: Mon Aug 10 15:32:20 UTC 2015
New revision: 393873
URL: https://svnweb.freebsd.org/changeset/ports/393873

Log:
  - Implement a couple of portlint(1) warnings, such as moving the LICENSE
    block earlier, sort USES.  This change also switches to USES=metaport for
    metaports, like haskell-platform or gtk2hs

  PR:		201886
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>
  Obtained from:	FreeBSD Haskell

Changes:
  head/lang/ghc/Makefile
  head/lang/ghc/bsd.cabal.mk
Comment 8 Gabor Pali freebsd_committer 2015-08-10 15:34:07 UTC
The patch has been now committed.